Bug 754107 - CVE-2011-4116 perl: File::Temp insecure temporary file handling [fedora-all]
CVE-2011-4116 perl: File::Temp insecure temporary file handling [fedora-all]
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
fst_ping=1
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2011-4116
  Show dependency treegraph
 
Reported: 2011-11-15 07:34 EST by Ramon de C Valle
Modified: 2014-12-05 09:25 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-05 09:25:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramon de C Valle 2011-11-15 07:34:07 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=753970

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora End Of Life 2012-08-07 15:36:56 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-04-03 16:10:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Admin XMLRPC Client 2013-08-12 07:49:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 pjp 2014-12-03 13:22:22 EST
Hello jplesnik,

Could you please fix this soon?
Comment 8 Petr Pisar 2014-12-04 03:46:34 EST
She cannot. This "vulnerability" is an underspecified security enhancement request that could break compatibility. Therefore we are not going to patch it without upstream consent. Please aim your effort in the upstream bug report <https://rt.perl.org/Public/Bug/Display.html?id=110730>.
Comment 9 pjp 2014-12-05 09:15:16 EST
 Hi,

It's been more then 3 yrs since the issue was found and reported. Since there is no fix in sight, please close this bug as CLOSE DEFERRED with due comments about it.
Comment 10 Petr Pisar 2014-12-05 09:25:35 EST
This has to be fixed by upstream to assure consistent behaviour between Fedora and the rest of the world.

Note You need to log in before you can comment on or make changes to this bug.